Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class PipeDiagnosticImpl

    java.lang.Object
      |
      +--oracle.jbo.common.PipeDiagnosticImpl

public class PipeDiagnosticImpl
extends java.lang.Object
implements IDiagnostic

The superclass for classes that act as a stream for diagnostic messages.

This class is instantiated in `DiagonsticFactory#createDiagnostic()`.

Since:
  Jdeveloper 3.0

Constructor Summary
`PipeDiagnosticImpl()` Creates an instance.

Method Summary
`protected java.lang.String` | `getPreamble()`
`void` | `print(java.lang.String message)` Passes a message to the standard output.
`void` | `println(java.lang.String message)` Passes a message, with a carrage-return, to the standard output.
`java.lang.String` | `toString()` Produces a textual description of this diagnostic service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PipeDiagnosticImpl

    public PipeDiagnosticImpl()

  Creates an instance.

  Since:
    Jdeveloper 3.0

Method Detail

### print

    public void print(java.lang.String message)

  Passes a message to the standard output.
  Specified by:
    print in interface IDiagnostic
  Parameters:
    `message` - the message to be printed.

### println

    public void println(java.lang.String message)

  Passes a message, with a carrage-return, to the standard output.
  Specified by:
    println in interface IDiagnostic
  Parameters:
    `message` - the message to be printed.

### toString

    public java.lang.String toString()

  Produces a textual description of this diagnostic service.
  Specified by:
    toString in interface IDiagnostic
  Overrides:
    toString in class java.lang.Object
  Returns:
    a status string.

### getPreamble

    protected java.lang.String getPreamble()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD